## xfce4-cpufreq-plugin 0.1

=== Makefile ===
CC = gcc
OUT = libcpufreq.so
EXT_CFLAGS := $(shell pkg-config --cflags libxml-2.0 gtk+-2.0 libxfcegui4-1.0)
EXT_LIBS := $(shell pkg-config --libs libxml-2.0 gtk+-2.0 libxfcegui4-1.0)
CFLAGS = -Wl,-export-dynamic -shared -g -O2 -Wall $(EXT_CFLAGS) $(EXT_LIBS) -lcpufreq

$(OUT): cpufreq.c
	$(CC) $(CFLAGS) $< -o $@

clean:
	$(RM) *~ $(OUT)

install: $(OUT)
	install -m 644 -o 0 -g 0 $(OUT) /usr/lib/xfce4/panel-plugins

uninstall:
	$(RM) /usr/lib/xfce4/panel-plugins/$(OUT)

## xfce4-cpufreq-plugin 0.2

=== Makefile ===
CC = gcc
OUT = xfce4-cpufreq-plugin
EXT_CFLAGS := $(shell pkg-config --cflags libxml-2.0 gtk+-2.0 libxfce4panel-1.0)
EXT_LIBS := $(shell pkg-config --libs libxml-2.0 gtk+-2.0 libxfce4panel-1.0) -lcpufreq
CFLAGS = -DENABLE_NLS -Wl,-export-dynamic -g -O2 -Wall $(EXT_CFLAGS) $(EXT_LIBS)

$(OUT): cpufreq.c
	$(CC) $(CFLAGS) $< -o $@

clean:
	$(RM) *~ $(OUT)
	$(MAKE) -C po clean

install: $(OUT)
	mkdir -p $(DESTDIR)/usr/lib/xfce4/panel-plugins/
	mkdir -p $(DESTDIR)/usr/share/xfce4/panel-plugins/
	install -m 755 -o 0 -g 0 -D $(OUT) $(DESTDIR)/usr/lib/xfce4/panel-plugins/$(OUT)
	install -m 644 -o 0 -g 0 -D cpufreq.desktop $(DESTDIR)/usr/share/xfce4/panel-plugins/cpufreq.desktop
	$(MAKE) DESTDIR=$(DESTDIR) -C po install-po

uninstall:
	$(RM) $(DESTDIR)/usr/lib/xfce4/panel-plugins/$(OUT)

=== po/Makefile ===
# Shamelessly stolen from Quod Libet.

top_srcdir = ../
NAME = xfce4-cpufreq
ALL_LINGUAS = fr
PO_DIR ?= /usr/share/locale

po: $(NAME).pot $(addsuffix .mo, $(ALL_LINGUAS))

$(NAME).pot: ../cpufreq.c
	intltool-update --pot --gettext-package=$(NAME)

%.po: $(NAME).pot
	intltool-update --gettext-package=$(NAME) `echo $@ | sed s/.po//`

%.mo: %.po $(NAME).pot
	msgfmt -o $@ $<

clean:
	rm -f *.mo

install-po: po
	$(foreach lang,$(ALL_LINGUAS), \
		mkdir -p $(DESTDIR)$(PO_DIR)/$(lang)/LC_MESSAGES && \
		install -m 644 $(lang).mo $(DESTDIR)$(PO_DIR)/$(lang)/LC_MESSAGES/$(NAME).mo)

=== debian/changelog ===
xfce4-cpufreq-plugin (0.2-3ubuntu2) natty; urgency=low

  * No-change rebuild against new xfce4-panel abi for external plugins.
  * Bump xfce4-panel-dev b-dep to >= 4.7.7 to force using the new version.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Tue, 04 Jan 2011 20:51:41 +0100

xfce4-cpufreq-plugin (0.2-3ubuntu1) natty; urgency=low

  * Upload to natty (pkg-xfce svn r4640), no Ubuntu changes.
  * Bump xfce4-panel-dev b-dep to >= 4.7.0 to pick the correct version.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Mon, 06 Dec 2010 22:22:34 +0100

xfce4-cpufreq-plugin (0.2-4) UNRELEASED; urgency=low

  [ Yves-Alexis Perez ]
  * debian/rules:
    - switch to dh7 tiny rules
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS}.
  * debian/control:
    - update dh build dep to 7.0.50~ for overrides.
    - add build-dep on libxfcegui4-dev.
    - update standards version to 3.9.1.
  * Switch to 3.0 (quilt)_source format.
  * debian/patches:
    - 04_fix-linking-libxfcegui4 added, link explicitely against libxfcegui4. 

  [ Lionel Le Folgoc ]
  * debian/patches/04_fix-linking-libxfcegui4: use correct linking order.
  * debian/control: add missing ${misc:Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 17 Oct 2010 17:17:54 +0200

xfce4-cpufreq-plugin (0.2-3) unstable; urgency=low

  [ Stefan Ott ]
  * debian/control: update e-mail address

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * debian/watch edited to track Xfce archive reorganisation.
  * debian/compat bumped to 7.
  * debian/control:
    - update standards version to 3.8.2.
    - update debhelper build-dep to 7.

  [ Lionel Le Folgoc ]
  * debian/patches/03_fix-segfault-on-exit.patch: use expected function
    signature for the "free-data" callback.         lp: #86317, closes: #505175
  * debian/control: add myself to Uploaders.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Tue, 16 Feb 2010 22:54:36 +0100

xfce4-cpufreq-plugin (0.2-2) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control: 
    - updated standards version to 3.7.3.
    - updated my email address.
    - drop dpatch build-dep, useless.
    - add needed build-dep on intltool.
  * debian/patches:
    - 02_ja.po added, add japanese translation.                 closes: #475914
  * debian/copyright: updated dates and copyright holders.

  [ Simon Huggins ]
  * Add Vcs-* headers to debian/control

  [ Stefan Ott]
  * Add patch to always show frequency in GHz 			 closes:#474330

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 14 Apr 2008 22:13:14 +0200

xfce4-cpufreq-plugin (0.2-1) unstable; urgency=low

  * (Yves-Alexis Perez)
    - New upstream release, ported to 4.4 panel                  closes:#370114
    - Switch from dpatch to simple-patchsys in debian/rules
  * (Stefan Ott)
    - Updated URL in copyright file

 -- Yves-Alexis Perez <corsac@corsac.net>  Wed, 26 Jul 2006 17:28:02 +0100

xfce4-cpufreq-plugin (0.1-2) unstable; urgency=low

  * Added progressbar-size patch to match other panel plugins' style

 -- Stefan Ott <stefan@desire.ch>  Sun, 29 Jan 2006 19:07:28 +0100

xfce4-cpufreq-plugin (0.1-1) unstable; urgency=low

  * Initial release (Closes: #331325)

 -- Stefan Ott <stefan@desire.ch>  Sun, 06 Nov 2005 21:08:11 +0100

=== debian/control ===
Source: xfce4-cpufreq-plugin
Section: x11
Priority: optional
Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Rudy Godoy <rudy@kernel-panik.org>,
 Martin Loschwitz <madkiss@debian.org>, Yves-Alexis Perez <corsac@debian.org>, Stefan Ott <stefan@ott.net>,
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: cdbs, debhelper (>= 7.0.50~), libgtk2.0-dev, 
 xfce4-panel-dev (>= 4.7.7), libxml2-dev, libcpufreq-dev, intltool,
 libxfcegui4-dev, hardening-includes
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/

Package: xfce4-cpufreq-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cpufreq information plugin for the Xfce4 panel
 This plugin displays the current frequency of the CPU, in GHz or MHz as
 necessary. It also displays the frequency relative to the maximum CPU
 frequency as an accordingly colored progress bar.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/hardening-includes/hardening.make

CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=-Wl,-z,defs -Wl,--as-needed $(HARDENING_LDFLAGS)

%:
	dh $@

override_dh_auto_install:
	-rm -rf debian/`dh_listpackages`/usr/lib/xfce4/panel-plugins/*.a
	-rm -rf debian/`dh_listpackages`/usr/lib/xfce4/panel-plugins/*.la
	dh_auto_install

## xfce4-cpufreq-plugin 1.0.0

=== debian/changelog ===
xfce4-cpufreq-plugin (1.0.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  New upstream release.
  * debian/rules:
    - switch to dh7 tiny rules
    - pick {C,LD}FLAGS from dpkg-buildflags.
    - add -Wl,-z,defs -Wl,--as-needed to LDFLAGS.
    - add hardening flags to {C,LD}FLAGS}.
  * debian/control:
    - update dh build dep to 7.0.50~ for overrides.
    - add build-dep on libxfcegui4-dev.
    - update standards version to 3.9.1.
    - switch to xfce section.
  * Switch to 3.0 (quilt)_source format.
  * debian/patches:
    - all patches dropped for new upstream.
  * debian/watch added.
  * debian/copyright updated and switch to DEP5 format.

  [ Lionel Le Folgoc ]
  * debian/control: add missing ${misc:Depends}.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 14:35:51 +0100

xfce4-cpufreq-plugin (0.2-3+b1) unstable; urgency=low

  [ Stefan Ott ]
  * debian/control: update e-mail address

  [ Evgeni Golov ]
  * Fix Vcs-* fields, they were missing 'trunk' in the path.

  [ Yves-Alexis Perez ]
  * debian/watch edited to track Xfce archive reorganisation.
  * debian/compat bumped to 7.
  * debian/control:
    - update standards version to 3.8.2.
    - update debhelper build-dep to 7.

  [ Lionel Le Folgoc ]
  * debian/patches/03_fix-segfault-on-exit.patch: use expected function
    signature for the "free-data" callback.         lp: #86317, closes: #505175
  * debian/control: add myself to Uploaders.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Tue, 16 Feb 2010 22:54:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: xfce4-cpufreq-plugin
-Section: x11
+Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Emanuele Rocca <ema@debian.org>, Simon Huggins <huggie@earth.li>, Rudy Godoy <rudy@kernel-panik.org>,
  Martin Loschwitz <madkiss@debian.org>, Yves-Alexis Perez <corsac@debian.org>, Stefan Ott <stefan@ott.net>,
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7.0.50~), libgtk2.0-dev, 
- xfce4-panel-dev (>= 4.7.7), libxml2-dev, libcpufreq-dev, intltool,
+ xfce4-panel-dev (>= 4.3.90.2-3), libxml2-dev, libcpufreq-dev, intltool,
  libxfcegui4-dev, hardening-includes
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 CFLAGS+=$(HARDENING_CFLAGS)
 LDFLAGS+=-Wl,-z,defs -Wl,--as-needed $(HARDENING_LDFLAGS)
 
+export CFLAGS LDFLAGS
+
 %:
 	dh $@

=== debian/watch ===
version=3
http://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/([\d\.]+)/ \
	xfce4-cpufreq-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-cpufreq-plugin 1.1.0

=== debian/changelog ===
xfce4-cpufreq-plugin (1.1.0-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * Port from libxfcegui4 to libxfce4ui:
    - debian/patches/03_port-to-libxfce4ui.patch: added.
    - debian/control: replace libxfcegui4-dev build-dep with libxfce4ui-1-dev.
  * debian/rules:
    - call xdt-autogen after patching
    - clean up autogenerated files modified by xdt-autogen.
  * debian/control:
    - add build-dep on xfce4-dev-tools and libtool in order to run xdt-autogen
      after patching.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Yves-Alexis Perez ]
  * New upstream release.
    - add support for pstate driver.                            closes: #721373 
  * debian/patches:
    - 01_try-fix-ftbfs-bsd removed, included upstream.
    - 02_refresh-selected-core removed as well. 
    - 03_port-to-libxfce4ui removed too, finally. 
  * debian/rules:
    - create and remove m4 folder for xdt-autogen.
    - don't install .la files
    - ignore plugin in dh_makeshlibs call.
  * debian/control:
    - update standards version to 3.9.4.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 06 Sep 2013 21:51:56 +0200

xfce4-cpufreq-plugin (1.0.0-5) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.

  [ Yves-Alexis Perez ]
  * debian/rules:
    - switch to dh with hardening support.
  * debian/compat bumped to 9. 
  * debian/control:
    - update debhelper build dep to 9.
    - drop versionned depends on xfce4-panel, stable is recent enough.
    - update standards version to 3.9.3.
  * debian/xfce4-cpufreq-plugin.lintian-overrides added, ignore
    hardening-no-fortify-functions since we do use hardening flags.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 23 May 2013 23:33:04 +0200

xfce4-cpufreq-plugin (1.0.0-4) unstable; urgency=low

  * debian/patches:
    - 02_refresh-selected-core.patch: added, refresh the core selected in the
      config, instead of refreshing all of them and unconditionally displaying
      the last one.                                             Closes: #655028

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Mon, 23 Jan 2012 15:57:46 +0100

xfce4-cpufreq-plugin (1.0.0-3) unstable; urgency=low

  * debian/patches:
    - 01_try-fix-ftbfs-bsd added.                               closes: #621818
  * debian/control:
    - update standards version to 3.9.2.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 25 Apr 2011 12:36:17 +0200

xfce4-cpufreq-plugin (1.0.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - remove Emanuele, Simon, Rudy, Martin and Stefan from uploaders, thanks to
    them.
    - update Xfce build-dep to 4.8.
    - drop cdbs build-dep. 

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 19 Apr 2011 22:50:48 +0200

=== debian/control ===
Source: xfce4-cpufreq-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, xfce4-panel-dev, libxml2-dev,
 libcpufreq-dev, intltool, libxfce4ui-1-dev, xfce4-dev-tools, libtool
Standards-Version: 3.9.4
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/

Package: xfce4-cpufreq-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cpufreq information plugin for the Xfce4 panel
 This plugin displays the current frequency of the CPU, in GHz or MHz as
 necessary. It also displays the frequency relative to the maximum CPU
 frequency as an accordingly colored progress bar.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	mkdir -p m4
	NOCONFIGURE=1 xdt-autogen
	dh_auto_configure

override_dh_auto_clean:
	dh_auto_clean
	rm -f $$(find -name 'Makefile.in*') compile *.in m4
	rm -f INSTALL aclocal.m4 config.guess config.sub configure
	rm -f depcomp install-sh ltmain.sh missing mkinstalldirs

override_dh_install:
	find debian/$(DEB_SOURCE)/usr/lib/ -name '*.la' -delete

override_dh_makeshlibs:
	dh_makeshlibs -n -X /usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins

## xfce4-cpufreq-plugin 1.1.1

=== debian/changelog ===
xfce4-cpufreq-plugin (1.1.1-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - update standards version to 3.9.6.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 21:27:07 +0200

## xfce4-cpufreq-plugin 1.1.2

=== debian/changelog ===
xfce4-cpufreq-plugin (1.1.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15:

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 19 Aug 2015 16:25:23 -0700

xfce4-cpufreq-plugin (1.1.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 27 Jun 2015 15:05:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: xfce4-cpufreq-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, xfce4-panel-dev, libxml2-dev,
  libcpufreq-dev, intltool, libxfce4ui-1-dev, xfce4-dev-tools, libtool
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -n -X /usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins
+
+override_dh_builddeb:
+	dh_builddeb -- -Z xz

## xfce4-cpufreq-plugin 1.1.3

=== debian/changelog ===
xfce4-cpufreq-plugin (1.1.3-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * debian/control:
    - Update standards version to 3.9.8.
    - Use secured link for Vcs-Browser. 
  * debian/watch:
    - Bump to version 4.

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 07 Oct 2016 08:40:59 +0200

=== debian/control ===
Source: xfce4-cpufreq-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, xfce4-panel-dev, libxml2-dev,
 libcpufreq-dev, intltool, libxfce4ui-1-dev, xfce4-dev-tools, libtool
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/xfce4-cpufreq-plugin/

Package: xfce4-cpufreq-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: cpufreq information plugin for the Xfce4 panel
 This plugin displays the current frequency of the CPU, in GHz or MHz as
 necessary. It also displays the frequency relative to the maximum CPU
 frequency as an accordingly colored progress bar.

=== debian/watch ===
version=4
http://archive.xfce.org/src/panel-plugins/xfce4-cpufreq-plugin/([\d\.]+)/ \
	xfce4-cpufreq-plugin-([\d\.]+)\.tar\.(?:gz|bz2)

## xfce4-cpufreq-plugin 1.2.0

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.0-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
  * d/gbp.conf added, following DEP-14
  * New upstream version 1.2.0
    - use sysfs instead of Intel pstate.                        closes: #885458
  * run wrap-and-sort
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: replace GTK2 b-p by GTK3
  * d/control: replace libxfce4ui-1-dev by libxfce4ui-2-dev
  * d/control: replace xfce4-panel-dev b-dp by libxfce4panel-2.0-dev
  * d/compat bumped to 10
  * d/rules: drop configure override, not needed with dh10
  * d/rules: stop overriding auto_clean, not needed anymore
  * d/rules: create m4 folder before autoreconf
  * d/copyright updated

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 24 May 2018 21:04:07 +0200

## xfce4-cpufreq-plugin 1.2.1

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.1-2mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Rebuild against XFCE 4.14.
  * Add fix-memory-leak.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 08 Feb 2020 16:45:05 -0800

xfce4-cpufreq-plugin (1.2.1-1) unstable; urgency=medium

  * New upstream version 1.2.1

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 23 Sep 2018 16:16:00 +0200

=== debian/control ===
Source: xfce4-cpufreq-plugin
Section: xfce
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>
Build-Depends: debhelper (>= 10),
               intltool,
               libcpufreq-dev,
               libgtk-3-dev,
               libtool,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxml2-dev,
               xfce4-dev-tools
Standards-Version: 3.9.8
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin.git
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin

Package: xfce4-cpufreq-plugin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: cpufreq information plugin for the Xfce4 panel
 This plugin displays the current frequency of the CPU, in GHz or MHz as
 necessary. It also displays the frequency relative to the maximum CPU
 frequency as an accordingly colored progress bar.

## xfce4-cpufreq-plugin 1.2.2

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Unit 193 ]
  * d/watch: Use uscan special strings.
  * New upstream version 1.2.2.
    - Fix compilation with gcc-10 (Closes: #957979)
  * d/control:
    - R³: no.
    - Add homepage field.
  * d/dirs: Drop, no longer needed.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Oct 2020 18:17:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xfce4-cpufreq-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                intltool,
                libcpufreq-dev,
                libgtk-3-dev,
@@ -13,9 +12,11 @@
                libxfce4ui-2-dev,
                libxml2-dev,
                xfce4-dev-tools
-Standards-Version: 3.9.8
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin
+Homepage: https://docs.xfce.org/panel-plugins/xfce4-cpufreq-plugin
 
 Package: xfce4-cpufreq-plugin
 Architecture: any

## xfce4-cpufreq-plugin 1.2.3

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + xfce4-cpufreq-plugin: Add Multi-Arch: same.

  [ Unit 193 ]
  * New upstream version 1.2.3.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Tue, 12 Jan 2021 20:15:14 -0500

## xfce4-cpufreq-plugin 1.2.4

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4.

 -- Unit 193 <unit193@debian.org>  Thu, 04 Feb 2021 17:34:31 -0500

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libxml2-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-cpufreq-plugin
@@ -21,6 +21,7 @@
 Package: xfce4-cpufreq-plugin
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Multi-Arch: same
 Description: cpufreq information plugin for the Xfce4 panel
  This plugin displays the current frequency of the CPU, in GHz or MHz as
  necessary. It also displays the frequency relative to the maximum CPU

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_autoreconf:
	mkdir -p m4
	dh_autoreconf

override_dh_install:
	find debian/$(DEB_SOURCE)/usr/lib/ -name '*.la' -delete

override_dh_makeshlibs:
	dh_makeshlibs -n -X /usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins

## xfce4-cpufreq-plugin 1.2.5

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.5-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 25 Aug 2021 10:56:32 -0400

xfce4-cpufreq-plugin (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.5.
  * d/control: Bump DH compat to 13.
  * d/rules: Drop autoreconf workaround.

 -- Unit 193 <unit193@debian.org>  Mon, 16 Aug 2021 17:28:27 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xfce4-cpufreq-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libcpufreq-dev,
                libgtk-3-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,8 @@
 %:
 	dh $@
 
-override_dh_autoreconf:
-	mkdir -p m4
-	dh_autoreconf
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_install:
 	find debian/$(DEB_SOURCE)/usr/lib/ -name '*.la' -delete

## xfce4-cpufreq-plugin 1.2.7

=== debian/changelog ===
xfce4-cpufreq-plugin (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.7.
  * d/docs: Follow rename, README → README.md.
  * d/rules: Add -lpthread to LDFLAGS, drop --as-needed.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Tue, 15 Feb 2022 14:21:40 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-cpufreq-plugin
 Section: xfce
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 13),
                intltool,
@@ -14,7 +13,7 @@
                libxml2-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-cpufreq-plugin
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-cpufreq-plugin

=== debian/rules ===
#!/usr/bin/make -f
export DEB_LDFLAGS_MAINT_APPEND=-Wl,-z,defs -Wl,-O1 -lpthread
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	find debian/$(DEB_SOURCE)/usr/lib/ -name '*.la' -delete

override_dh_makeshlibs:
	dh_makeshlibs -n -X /usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins
